%global gem_name bourne

Name: rubygem-%{gem_name}
Version: 1.5.0
Release: 2%{?dist}
Summary: Adds test spies to mocha
Group: Development/Languages
License: MIT
URL: http://github.com/thoughtbot/bourne
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: ruby(release)
Requires: ruby(rubygems)
Requires: rubygem(mocha) >= 0.13.2
Requires: rubygem(mocha) < 0.15
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: rubygem(minitest)
BuildRequires: rubygem(mocha) >= 0.13.2
BuildRequires: rubygem(mocha) < 0.15
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
Extends mocha to allow detailed tracking and querying of
stub and mock invocations. Allows test spies using the have_received rspec
matcher and assert_received for Test::Unit. Extracted from the
jferris-mocha fork.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

# remove some unecessary files
rm Gemfile
rm Rakefile
sed -i 's|"Gemfile",||' %{gem_name}.gemspec
sed -i 's|"Rakefile",||' %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

%gem_install

# remove unecessary gemspec
rm .%{gem_instdir}/%{gem_name}.gemspec

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}
  testrb -Ilib test/*/*
popd

%files
%dir %{gem_instdir}
%doc %{gem_instdir}/LICENSE
%doc %{gem_instdir}/README.md
%exclude %{gem_instdir}/.*
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/NEWS.md
%exclude %{gem_instdir}/test

%changelog
* Thu Oct 31 2013 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.5.0-2
- Remove unnecessary comments
- Remove BR: ruby (redundant)
- Move README to main package
- Delete Gemfile and Rakefile in %%prep
- Exclude tests from binary pkgs

* Sat Jul 27 2013 ktdreyer@ktdreyer.com - 1.5.0-1
- Update to 1.5.0
